Subject: bug#40896: 27.0.91; Moving point fails sometimes in shell-command

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 Jan 2022 16:34:16 +0100

Michael Albinus <[email-masked]> writes:

> Almost. But it is not documented. Maybe we shall apply the appended
> patch. And if shell-command-dont-erase-buffer is end-last-out with
> output buffer not being the current one, the behavior is simply
> wrong, see my previous analysis. At least *this* case must be fixed.

I've now applied the proposed patch, with some slight alterations.

And the parameters to these shell functions are very, very confusing.
At this point, perhaps it'd be better to write some new functions in
this area that have less weird parameters.  But fixing end-last-out
would also be nice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no